<?php
/**
 * Spanish language file
 *
 * @license    GPL 2 (http://www.gnu.org/licenses/gpl.html)
 * @author Eduard Diaz <eventgrafic@gmail.com>
 */
 
// settings must be present and set appropriately for the language
$lang['encoding']   = 'utf-8';
$lang['direction']  = 'ltr';
 
// for admin plugins, the menu prompt to be displayed in the admin menu
// if set here, the plugin doesn't need to override the getMenuText() method
$lang['menu'] = 'EAPC - Gestión de archivos';
$lang['tool_info'] = 'Recuerda que al modificar el contenido del wiki, los enlaces entre págines no se actualizan.';
$lang['title_namespaces'] = 'Explorador de directorios (namespaces)';
$lang['root_directori'] = 'Directorio principal';
$lang['delete'] = 'Eliminar';
$lang['rename'] = 'Renombrar';
$lang['copy'] = 'Copiar';
$lang['move'] = 'Mover';
$lang['cancel'] = 'Cancelar';
$lang['cut'] = 'Cortar';
$lang['paste'] = 'Pegar';
$lang['quit'] = 'Cerrar';
$lang['back_cpanel'] = 'volver al menú de administración';
//actions
$lang['deleted'] = 'eliminado';
$lang['copied'] = 'copiado';
$lang['moved'] = 'movido';
$lang['renamed'] = 'renombrado';


//error
$lang['error_form_data'] = 'Error, dades incorrectes';
$lang['error_namespace'] = 'Error, el namespace esta buit';
$lang['error_file_uploaded'] = 'Error, el zip no és correcte';
$lang['error_filetype'] = 'Error, el fitxer no és un zip!';
$lang['error_python'] = 'Error en la creació del namespace!';
$lang['warning_exists_ns'] = 'Atención, el namespace ya existe!';
//actions
$lang['error_no_exist_file'] = 'Error, No existe el archivo o directorio';
$lang['error_delete'] = 'Error, no se ha podido eliminar';
$lang['error_copy'] = 'Error, no se ha podido copiar';
$lang['error_move_exist_file'] = 'Error, no se ha podido mover, puede que ya exista el directorio de destino o que no tenga permisos de escritura';
$lang['error_move'] = 'Error, no se ha podido mover';
$lang['error_exist_file'] = 'Error, ya existe un directorio con el nuevo nombre';
$lang['error_move'] = 'Error. no se puede renombrar el directorio';
$lang['error_params'] = 'Error, parámetros incorrectos';
 
// custom language strings for the plugin
