<?php
header("Cache-Control: no-store, no-cache, must-revalidate");
header('Content-type: application/json');

require_once('fileactions.php');

$basepath = 'dokuwiki/data3/pages';

if ( !empty($_POST['action']) && !empty($_POST['dir']) ){ 
    $action = $_POST['action'];
    $dstdir = $basepath.$_POST['dir'];
    if (!is_dir($dstdir) && !is_file($dstdir) ){
        echo '{"error":"Error, No existe el archivo o directorio"}';
        return;
    }
    if ($action == 'delete') {  
        if (unlinkDir($dstdir)) echo '{"action":"delete","msg":"<strong>'.str_replace($basepath,'',$dstdir).'</strong> eliminado"}';
        else echo '{"action":"delete","error":"Error, no se ha podido eliminar"}';
        return;

    } else if ( !empty($_POST['dir2']) ){
        $srcdir = $dstdir;
        if ($_POST['dir2']{0}=='/') $dstdir = $basepath.$_POST['dir2'];
        else $dstdir = $basepath.'/'.$_POST['dir2'];
        
        if ($action == 'copy') { 
            if (dir_copy($srcdir, $dstdir)) echo '{"action":"copy","msg":"<strong>'.str_replace($basepath,'',$dstdir).'</strong> copiado"}';
            else echo '{"action":"copy","error":"Error, no se ha podido copiar"}';
            return;
        }
        if ($action == 'move') { 
            if(!dir_copy($srcdir, $dstdir)){ 
                echo '{"action":"move","error":"Error, no se ha podido mover, puede que ya exista el directorio de destino o que no tenga permisos de escritura"}';
                return;
            }
            if(unlinkDir($srcdir)) echo '{"action":"move","msg":"<strong>'.str_replace($basepath,'',$dstdir).'</strong> movido"}';
            else echo '{"action":"move","error":"Error, no se ha podido mover"}';
            return;
        }            
        if ($action == 'rename'){
            if (is_dir($dstdir)){
                echo '{"action":"rename","error":"Error, ya existe un directorio con el nuevo nombre"}';
            }else if (renameDir($srcdir, $dstdir)){
                echo '{"action":"rename","msg":"<strong>'.str_replace($basepath,'',$dstdir).'</strong> renombrado"}';
            }else{ 
                echo '{"action":"rename","error":"Error. no se puede renombrar el directorio"}';
            }
            return;
        }
    }
}else{
    echo '{"action":"rename","error":"Error, parametros incorrectos"}';
}
?>
