<?php
/**
 * catalan language file
 *
 * @license    GPL 2 (http://www.gnu.org/licenses/gpl.html)
 * @author Eduard Diaz <eventgrafic@gmail.com>
 */
 
// settings must be present and set appropriately for the language
$lang['encoding']   = 'utf-8';
$lang['direction']  = 'ltr';
 
// for admin plugins, the menu prompt to be displayed in the admin menu
// if set here, the plugin doesn't need to override the getMenuText() method
$lang['menu'] = 'EAPC - Gestió d\'arxius';  
$lang['tool_info'] = 'Recorda que al modificar el contingut del wiki, els enllaços entre pàgines no s\'actualitzen.';
$lang['title_namespaces'] = 'Explorador de directoris (namespaces)';
$lang['root_directori'] = 'Directori principal';
$lang['delete'] = 'Elimina';
$lang['rename'] = 'Reanomena';
$lang['copy'] = 'Copia';
$lang['move'] = 'Mou';
$lang['cancel'] = 'Cancel·la';
$lang['cut'] = 'Talla';
$lang['paste'] = 'Enganxa';
$lang['quit'] = 'Tanca';
$lang['back_cpanel'] = 'torna al menú d\'administració';
//actions
$lang['deleted'] = 'eliminat';
$lang['copied'] = 'copiat';
$lang['moved'] = 'mogut';
$lang['renamed'] = 'reanomenat';


//error
$lang['error_form_data'] = 'Error, dades incorrectes';
$lang['error_namespace'] = 'Error, el namespace és buit';
$lang['error_file_uploaded'] = 'Error, el zip no és correcte';
$lang['error_filetype'] = 'Error, el fitxer no és un zip!';
$lang['error_python'] = 'Error en la creació del namespace!';
$lang['warning_exists_ns'] = 'Atenció, el namespace ja existeix!';
//actions
$lang['error_no_exist_file'] = 'Error, No existeix l\'arxiu o directori';
$lang['error_delete'] = 'Error, no s\'ha pogut eliminar';
$lang['error_copy'] = 'Error, no s\'ha pogut copiar';
$lang['error_move_exist_file'] = 'Error, no s\'ha pogut moure, pot ser que ja existeixi el directori de destinació o que no tingui permisos d\'escriptura';
$lang['error_move'] = 'Error, no s\'ha pogut moure';
$lang['error_exist_file'] = 'Error, ja existeix un directori amb el nou nom';
$lang['error_move'] = 'Error. no es pot reanomenar el directori';
$lang['error_params'] = 'Error, paràmetres incorrectes';
 
// custom language strings for the plugin

