<?php
/**
 * english language file
 *
 * @license    GPL 2 (http://www.gnu.org/licenses/gpl.html)
 * @author Eduard Diaz <eventgrafic@gmail.com>
 */
 
// settings must be present and set appropriately for the language
$lang['encoding']   = 'utf-8';
$lang['direction']  = 'ltr';
 
// for admin plugins, the menu prompt to be displayed in the admin menu
// if set here, the plugin doesn't need to override the getMenuText() method
$lang['menu'] = 'EAPC - Namespace Manager'; 
$lang['tool_info'] = '';
$lang['title_namespaces'] = 'File Explorer (namespaces)';
$lang['root_directori'] = 'Root directory';
$lang['delete'] = 'Remove';
$lang['rename'] = 'Rename';
$lang['copy'] = 'Copy';
$lang['move'] = 'Move';
$lang['cancel'] = 'Cancel';
$lang['cut'] = 'Cut';
$lang['paste'] = 'Paste';
$lang['quit'] = 'Quit';
$lang['back_cpanel'] = 'back to admin panel';
//actions
$lang['deleted'] = 'deleted';
$lang['copied'] = 'copied';
$lang['moved'] = 'moved';
$lang['renamed'] = 'renamed';

//error
$lang['error_form_data'] = 'Error, not data';
$lang['error_namespace'] = 'Error, not namespace';
$lang['error_file_uploaded'] = 'Error, not zip';
$lang['error_filetype'] = 'Error, not zip file type';
$lang['error_python'] = 'Error not create namespace';
$lang['warning_exists_ns'] = 'Warning, exists namespace';
//actions
$lang['error_no_exist_file'] = 'Error';
$lang['error_delete'] = 'Error';
$lang['error_copy'] = 'Error';
$lang['error_move_exist_file'] = 'Error';
$lang['error_move'] = 'Error';
$lang['error_exist_file'] = 'Error';
$lang['error_move'] = 'Error';
$lang['error_params'] = 'Error';
 
// custom language strings for the plugin
